/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Jun 13, 2016, 6:52:44 PM
    Author     : Lydia
*/

@-moz-document url-prefix() {
    .k-grid {
        max-width:-moz-available;
        width: -moz-fit-content;
    }
}

@media screen and (min-resolution:0dppx){
    .k-grid {
        max-width:-webkit-fill-available;
        width: fit-content;
    }
}

.k-grid-header th.k-header>.k-link{
    white-space: nowrap;
    display: inline-block;
    margin-right: 0;
}

.k-grid td {
    line-height: 1.3em;
    padding: 1px 2px 1px 3px;
}

.k-pager-wrap {
    padding: .166em 0 .166em .25em;
}

.k-state-selected .text-muted {
    color: #fff;
}

.k-state-selected .text-success, .k-state-selected .text-danger {
    color: #fff
}

.k-state-selected a {
    color: #fff;
}

.k-filter-row th, .k-grid-header th.k-header {
    padding: .4em .4em .1em .5em;
}

/* Remove focus from cells in grids - Row selections are enabled */
.k-grid tr.k-state-selected:hover td.k-state-focused, 
td.k-state-focused, 
.k-grid-header th.k-state-focused,
.k-state-focused,
.k-state-focused td.k-state-focused {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.k-dropdown-wrap.k-state-focused {
    -moz-box-shadow: 0 2px 3px 1px #bcc8dc !important;
    -webkit-box-shadow: 0 2px 3px 1px #bcc8dc !important;
    box-shadow: 0 2px 3px 1px #bcc8dc !important;
    border-width: 1px 1.5px 1.5px 1px;
    border-color: #bcc8dc;
}

.k-grid-toolbar, .k-grouping-header {
    padding: .3em .35em .35em .35em;
}

.k-grouping-header {
    font-size: 95%;
    line-height: 1.8;
    padding: .2em .35em .1em .35em;
}

.k-grid-footer {
    padding-right: 0px !important;
}

.modal-body .k-grid-content {
    max-height: 50vh;
}

.k-grid-content {
    min-height: 5vh;
    max-height: 60vh;
}

.k-file-name {
    max-width: 95%;
    font-weight: 500;
    color: #283e3b;
}

.k-file-name-size-wrapper {
    width: 88%;
}

.k-file-extension-wrapper, .k-multiple-files-extension-wrapper {
    color: #507c76;
    border-color: #365450;
}

.k-file-extension {
    font-weight: 800;
}

.k-grid tbody .k-button {
    min-width: 58px;
}

.k-treeview span.k-in {
    padding: 1px !important;
}

.k-file-size {
    font-size: .88em;
}

.k-upload-files {
    padding-bottom: 8px;
}

.k-icon, .k-i-filter {
    font-size: 14px;
    color: #595959;
}

.k-filter-row .k-dropdown-operator {
    width: 2em;
    right: 0.2em;
}

.k-filtercell, .k-filtercell .k-widget, .k-filtercell>span {
    width: 98%;
}

.k-button {
    padding: 2px 8px;
}

.k-filter-row .k-dropdown-operator, .k-filtercell>span>.k-button {
    display: none !important;
}

.k-autocomplete .k-input, .k-dropdown-wrap .k-input, .k-numeric-wrap .k-input, .k-picker-wrap .k-input, .k-selectbox .k-input, .k-textbox>input {
    text-indent: .25em;
}

div.k-window-content {
    padding: .9em;
}

.k-window .k-header{
    background-color: #5a738e;
    color: white;
}
.k-window .k-header .k-window-title{
    font-size: 13px;
    font-weight: 500;
}

.k-window-titlebar .k-window-actions {
    padding-top: .1em;
}

input.k-textbox {
    height: 2.1em;
}

.k-numeric-wrap.k-state-focused {
    -moz-box-shadow: 0 2px 3px 1px #bcc8dc !important;
    -webkit-box-shadow: 0 2px 3px 1px #bcc8dc !important;
    box-shadow: 0 2px 3px 1px #bcc8dc !important;
    border-width: 1px 1.5px 1.5px 1px;
    border-color: #bcc8dc;
}

.k-grid-custom_destroy:hover,
.k-grid-custom_destroy:focus,
.k-grid-custom_destroy,
.k-grid-custom_delete:hover,
.k-grid-custom_delete:focus,
.k-grid-custom_delete{
    border-color: #d9534f;
    background-position: 0 -15px;
    color: #d9534f !important;
}

.k-grid-custom_destroy:disabled,
.k-grid-custom_destroy.disabled,
.k-grid-custom_destroy[disabled],
.k-grid-custom_delete:disabled,
.k-grid-custom_delete.disabled,
.k-grid-custom_delete[disabled],
.k-grid-custom_delete[disabled]:hover,
.k-grid-custom_delete[disabled]:active,
.k-grid-custom_delete[disabled]:focus {
    border-color: #e0cfcd;
    background-position: 0 -15px;
    color: #e0cfcd !important;
}


.k-grid-custom_destroy:focus, .k-grid-custom_delete:focus {
    box-shadow: 1px 1px 3px 2px #e6d2cb !important; 
}

.k-grid-custom_view:hover,
.k-grid-custom_view:focus,
.k-grid-custom_view{
    border-color: #2aabd2;
    background-position: 0 -15px;
    color: #2aabd2 !important;
}

.k-grid-custom_view:disabled,
.k-grid-custom_view.disabled,
.k-grid-custom_view[disabled],
.k-grid-custom_view[disabled]:hover,
.k-grid-custom_view[disabled]:focus,
.k-grid-custom_view[disabled]:active {
    border-color: #ccdfe5;
    background-position: 0 -15px;
    color: #ccdfe5 !important;
}

.k-grid-custom_view:focus {
    box-shadow: 1px 1px 3px 2px #c1dff0 !important; 
}

.k-grid-custom_edit:hover,
.k-grid-custom_edit:focus,
.k-grid-custom_edit{
    border-color: #419641;
    background-position: 0 -15px;
    color: #419641 !important;
}

.k-grid-custom_edit:disabled,
.k-grid-custom_edit.disabled,
.k-grid-custom_edit[disabled],
.k-grid-custom_edit[disabled]:hover,
.k-grid-custom_edit[disabled]:focus,
.k-grid-custom_edit[disabled]:active {
    border-color: #b4cbb6;
    background-position: 0 -15px;
    color: #b4cbb6 !important;
    cursor: no-drop;
}

.k-grid-custom_edit:focus {
    box-shadow: 1px 1px 3px 2px #b9d9c4 !important; 
}

[data-role="contextmenu"]{
    width:max-content;
}

.k-widget .container * {
    box-sizing: border-box !important;
}

.searchOptionInput>.k-widget>.k-multiselect-wrap {
    min-height: 0px !important;
}

.form-group .k-multiselect-wrap {
    height: 2.057042em;
}

.k-popup .k-animation-container .k-popup{
    max-height: 200px !important;
}

.k-animation-container {
    height: 200px !important;
}

.k-animation-container, .k-animation-container *, .k-animation-container :after, 
.k-block .k-header, .k-dialog .k-window-content, .k-list-container, .k-widget, .k-widget *, .k-widget :before {
    box-sizing: inherit !important;
}
